/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class SubscriptionRequest {
    public endpoint: string;

    public p256hd: string;

    public auth: string;

    /**
     * Creates a SubscriptionRequest.
     *
     * @param {string} endpoint
     * @param {string} p256hd
     * @param {string} auth
     */
    constructor(endpoint: string, p256hd: string, auth: string) {
        this.endpoint = endpoint;
        this.p256hd = p256hd;
        this.auth = auth;
    }
}
